eID middleware |

# be.portugal.eid.PTEID_Pin Class Reference

Class that represents one Pin. More...

Inheritance diagram for be.portugal.eid.PTEID_Pin:

List of all members.

## Public Member Functions
synchronized void | delete ()
long | getIndex () throws java.lang.Exception
| Get the index of the pin.
long | getType () throws java.lang.Exception
| Get the type of the pin.
long | getId () throws java.lang.Exception
| Get the id of the pin.
PTEID_PinUsage | getUsageCode () throws java.lang.Exception
| Get the usage code of the pin.
long | getFlags () throws java.lang.Exception
| Get the flags of the pin.
String | getLabel () throws java.lang.Exception
| Get the label of the pin.
PTEID_ByteArray | getSignature () throws java.lang.Exception
| Return the signature of the pin.
int | getTriesLeft () throws java.lang.Exception
| Return the remaining tries.
boolean | verifyPin (String csPin, PTEID_ulwrapper ulRemaining) throws java.lang.Exception
| Ask the card to verify the pin.
boolean | changePin (String csPin1, String csPin2, PTEID_ulwrapper ulRemaining) throws java.lang.Exception
| Ask the card to change the pin.
## Protected Member Functions
| PTEID_Pin (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_Pin obj)

## Detailed Description

Class that represents one Pin.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_Pin.PTEID_Pin | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

boolean be.portugal.eid.PTEID_Pin.changePin | ( | String | csPin1,
|  | String | csPin2,
|  | PTEID_ulwrapper | ulRemaining |
| ) |  |  | throws java.lang.Exception

Ask the card to change the pin.

if csPin1 or csPin2 are empty, a popup will ask for the codes

Parameters:

  | csPin1 | is the old pin code
  | csPin2 | is the new pin code
  | ulRemaining | return the remaining tries (only when operation failed)

Returns:
  true if success and false if failed

synchronized void be.portugal.eid.PTEID_Pin.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Crypto.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_Pin.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Crypto.

static long be.portugal.eid.PTEID_Pin.getCPtr | ( | PTEID_Pin | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_Pin.swigCPtr.

long be.portugal.eid.PTEID_Pin.getFlags | ( |  | ) | throws java.lang.Exception

Get the flags of the pin.

long be.portugal.eid.PTEID_Pin.getId | ( |  | ) | throws java.lang.Exception

Get the id of the pin.

long be.portugal.eid.PTEID_Pin.getIndex | ( |  | ) | throws java.lang.Exception

Get the index of the pin.

String be.portugal.eid.PTEID_Pin.getLabel | ( |  | ) | throws java.lang.Exception

Get the label of the pin.

PTEID_ByteArray be.portugal.eid.PTEID_Pin.getSignature | ( |  | ) | throws java.lang.Exception

Return the signature of the pin.

int be.portugal.eid.PTEID_Pin.getTriesLeft | ( |  | ) | throws java.lang.Exception

Return the remaining tries.

This opperation is not supported by all cards.

Returns:
  -1 if not supported, else the number of remaining tries

long be.portugal.eid.PTEID_Pin.getType | ( |  | ) | throws java.lang.Exception

Get the type of the pin.

PTEID_PinUsage be.portugal.eid.PTEID_Pin.getUsageCode | ( |  | ) | throws java.lang.Exception

Get the usage code of the pin.

References be.portugal.eid.PTEID_PinUsage.swigToEnum().

boolean be.portugal.eid.PTEID_Pin.verifyPin | ( | String | csPin,
|  | PTEID_ulwrapper | ulRemaining |
| ) |  |  | throws java.lang.Exception

Ask the card to verify the pin.

Parameters:

  | csPin | is the pin code to verify (if csPin is empty, a popup will ask for the code)
  | ulRemaining | return the remaining tries (only if verifying failed)

Returns:
  true if success and false if failed